<template>
  <div class="text-right">
    <v-dialog v-model="dialog" persistent height="auto" width="900">
      <template v-slot:activator="{ on, attrs }">
        <v-btn
          class="
            button-text
            v-btn v-btn--outlined v-btn--rounded
            theme--light
            v-size--default
            tway-violet--text
          "
          color="coral lighten-2"
          outlined
          v-bind="attrs"
          v-on="on"
        >
          <v-icon color="purple"> mdi-cog-outline </v-icon>
          CONFIGURACIÓN
        </v-btn>
      </template>
      <v-card :class="'modalSystem'">
        <v-card>
          <div class="container">
            <v-btn icon right @click="dialog = false" class="float-right">
              <v-icon>mdi-close</v-icon>
            </v-btn>
            <h3 class="text-center">CONFIGURACIÓN PRESUPUESTO</h3>
            <h4 class="text-center font-weight-regular">Unidades de Costo</h4>
            <form>
              <div class="d-flex justify-space-between mt-2">
                <v-row class="mt-6">
                  <v-col md="12">
                    <v-text-field
                      label="Título Unidad de Costo"
                      type="text"
                      :hide-details="true"
                      :maxlength="'15'"
                      :minlenght="'0'"
                      outlined
                    />
                  </v-col>
                  <v-col md="6">
                    <v-text-field
                      label="Nombre unidad 1"
                      :hide-details="true"
                      :maxlength="'15'"
                      :minlenght="'0'"
                      type="text"
                      outlined
                    />
                  </v-col>
                  <v-col md="6">
                    <v-text-field
                      label="Nombre unidad 2"
                      :hide-details="true"
                      :maxlength="'15'"
                      :minlenght="'0'"
                      type="text"
                      outlined
                    />
                  </v-col>
                  <v-col md="6">
                    <v-text-field
                      label="Nombre unidad 3"
                      :hide-details="true"
                      :maxlength="'15'"
                      :minlenght="'0'"
                      type="text"
                      outlined
                    />
                  </v-col>
                  <v-col md="6">
                    <v-text-field
                      label="Nombre unidad 4"
                      :hide-details="true"
                      :maxlength="'15'"
                      :minlenght="'0'"
                      type="text"
                      outlined
                    />
                  </v-col>
                  <v-col md="6">
                    <v-text-field
                      label="Nombre unidad 5"
                      :hide-details="true"
                      :maxlength="'15'"
                      :minlenght="'0'"
                      type="text"
                      outlined
                    />
                  </v-col>
                  <v-col
                    md="12"
                    class="
                      text-center
                      d-flex
                      justify-center
                      pa-md-10
                      mx-lg-auto
                    "
                  >
                    <v-btn
                      class="
                        button-text
                        v-btn v-btn--outlined v-btn--rounded
                        theme--light
                        v-size--default
                        tway-violet--text
                      "
                      outlined
                      color="indigo lighten-2"
                      @click="
                        saveProject;
                        dialog = false;
                      "
                    >
                      <v-icon color="purple"> mdi-content-save </v-icon>
                      Guardar Unidad
                    </v-btn>
                  </v-col>
                </v-row>
              </div>
            </form>
            <!-- ETAPAS -->
          </div>
        </v-card>
      </v-card>
    </v-dialog>
  </div>
</template>

<script>
export default {
  data: () => {
    return {
      dialog: false,
    };
  },
};
</script>

<style>
.shrink {
  width: 150px;
}
.bar {
  width: 350px;
}
.modalSystem {
  border-radius: 0px !important;
}
.v-menu__content.theme--light.v-menu__content--fixed.menuable__content__active {
  background-color: #fff;
}
.modalSystem .v-card.v-sheet.theme--light {
  padding: 20px 40px;
}
.modalSystem label.v-label.theme--light {
  font-family: "Josefin Sans", sans-serif !important;
}
.modalSystem fieldset {
  border-color: #4a148c !important;
}
.modalSystem label.v-label--active {
  color: #4a148c !important;
}
.modalSystem button.float-right {
  z-index: 9;
  top: 15px;
  right: 15px;
  position: absolute;
}
</style>
